<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MDrawTextItem</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MDrawTextItem</h1><!-- doxytag: class="MDrawTextItem" -->
<p>textitem の型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a99bb9d74728abc2a3cb334170fcf4896">mt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#adef67744800c990f6abacdcad94d06a1">delta</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a96752fa7f14cf4c8444fd9eee08134b5">face</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMDrawControl.html">MDrawControl</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html#a1c573aa0f18841e2c98417b6e08e7089">control</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>textitem の型宣言. </p>
<p><a class="el" href="structMDrawTextItem.html" title="textitem の型宣言.">MDrawTextItem</a> は <em>テキストアイテム</em> オブジェクト用の型である。 各テキストアイテムは、 1 個の M-text と、その表示を制御するための情報を含んでいる。</p>
 <hr/><h2>構造体</h2>
<a class="anchor" id="a99bb9d74728abc2a3cb334170fcf4896"></a><!-- doxytag: member="MDrawTextItem::mt" ref="a99bb9d74728abc2a3cb334170fcf4896" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* <a class="el" href="structMDrawTextItem.html#a99bb9d74728abc2a3cb334170fcf4896">MDrawTextItem::mt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>M-text. </p>

</div>
</div>
<a class="anchor" id="adef67744800c990f6abacdcad94d06a1"></a><!-- doxytag: member="MDrawTextItem::delta" ref="adef67744800c990f6abacdcad94d06a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMDrawTextItem.html#adef67744800c990f6abacdcad94d06a1">MDrawTextItem::delta</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>M-text 表示前に行なうX軸方向の位置調整 (ピクセル単位) </p>

</div>
</div>
<a class="anchor" id="a96752fa7f14cf4c8444fd9eee08134b5"></a><!-- doxytag: member="MDrawTextItem::face" ref="a96752fa7f14cf4c8444fd9eee08134b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="structMDrawTextItem.html#a96752fa7f14cf4c8444fd9eee08134b5">MDrawTextItem::face</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>フェースオブジェクトへのポインタ。フェースの各プロパティは Mnil でなければ &lt;mt&gt; で指定されたフェースの同じプロパティに優先する </p>

</div>
</div>
<a class="anchor" id="a1c573aa0f18841e2c98417b6e08e7089"></a><!-- doxytag: member="MDrawTextItem::control" ref="a1c573aa0f18841e2c98417b6e08e7089" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMDrawControl.html">MDrawControl</a>* <a class="el" href="structMDrawTextItem.html#a1c573aa0f18841e2c98417b6e08e7089">MDrawTextItem::control</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>表示制御オブジェクトへのポインタ。 <a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a" title="ディスプレイにM-text を詳細な制御つきで描く.">mdraw_text_with_control()</a> はこのオブジェクトを用いて M-text &lt;mt&gt; を表示する。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
